Index: src/networks/bittorrent/bTInteractive.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/bittorrent/bTInteractive.ml,v
retrieving revision 1.92
diff -u -u -w -r1.92 bTInteractive.ml
--- src/networks/bittorrent/bTInteractive.ml	19 May 2006 14:52:11 -0000	1.92
+++ src/networks/bittorrent/bTInteractive.ml	19 May 2006 21:58:27 -0000
@@ -50,16 +50,6 @@
 let _s x = _s "BTInteractive" x
 let _b x = _b "BTInteractive" x
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[BT] "
-      (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[BT] "
-    (log_time ()); lprintf
-
 exception Already_exists
 
 let op_file_all_sources file =
@@ -108,7 +98,7 @@
       set_file_state file FileShared;
 
       if Unix32.destroyed (file_fd file) then
-        if !verbose then lprintf_nl () "op_file_commit: FD is destroyed... repairing";
+        if !verbose then lprintf_nl "op_file_commit: FD is destroyed... repairing";
 
 (* During the commit operation, for security, the file_fd is destroyed. So
   we create it again to be able to share this file again. *)
@@ -117,7 +107,7 @@
         (create_temp_file new_name (List.map (fun (file,size,_) -> (file,size)) file.file_files) (file_state file));
 
       if Unix32.destroyed (file_fd file) then
-        lprintf_nl () "op_file_commit: FD is destroyed... could not repair!";
+        lprintf_nl "op_file_commit: FD is destroyed... could not repair!";
 
       let new_torrent_diskname =
         Filename.concat seeded_directory
@@ -126,7 +116,7 @@
       (try
           Unix2.rename file.file_torrent_diskname new_torrent_diskname;
         with _ ->
-          (lprintf_nl () "op_file_commit: failed to rename %s to %s"
+          (lprintf_nl "op_file_commit: failed to rename %s to %s"
               file.file_torrent_diskname new_torrent_diskname));
       file.file_torrent_diskname <- new_torrent_diskname;
 
@@ -376,10 +366,10 @@
     end
 
 let op_file_check file =
-  lprintf_nl () "Checking chunks of %s" file.file_name;
+  lprintf_nl "Checking chunks of %s" file.file_name;
   match file.file_swarmer with
     None ->
-      lprintf_nl () "verify_chunks: no swarmer to verify chunks"
+      lprintf_nl "verify_chunks: no swarmer to verify chunks"
   | Some swarmer ->
       CommonSwarming.verify_all_chunks swarmer true
 
@@ -474,13 +464,13 @@
     in
   if Sys.file_exists torrent_diskname then
     begin
-      if !verbose then lprintf_nl () "load_torrent_string: %s already exists, ignoring" torrent_diskname;
+      if !verbose then lprintf_nl "load_torrent_string: %s already exists, ignoring" torrent_diskname;
       raise Already_exists
     end;
   File.from_string torrent_diskname s;
 
   if !verbose then
-    lprintf_nl () "Starting torrent download with diskname: %s"
+    lprintf_nl "Starting torrent download with diskname: %s"
         torrent_diskname;
   let file = new_download file_id torrent torrent_diskname in
   BTClients.get_sources_from_tracker file;
@@ -490,7 +480,7 @@
 
 let load_torrent_file filename =
   if !verbose then
-    lprintf_nl () "load_torrent_file %s" filename;
+    lprintf_nl "load_torrent_file %s" filename;
   let s = File.to_string filename in
   (* Delete the torrent if it is in the downloads dir. because it gets saved
      again under the torrent name and we don't want to clutter up this dir. .*)
@@ -503,21 +493,21 @@
 (*This is the function which will be called by the http client
 for parsing the response*)
 (* Interested only in interval*)
-  if !verbose_msg_servers then lprintf_nl () "Filename %s" filename;
+  if !verbose_msg_servers then lprintf_nl "Filename %s" filename;
     let tracker_reply =
       try
         File.to_string filename
-      with e -> lprintf_nl () "Empty reply from tracker"; ""
+      with e -> lprintf_nl "Empty reply from tracker"; ""
     in
     let v =
        match tracker_reply with
        | "" ->
         if !verbose_connect then
-          lprintf_nl () "Empty reply from tracker";
+          lprintf_nl "Empty reply from tracker";
         Bencode.decode ""
        | _ -> Bencode.decode tracker_reply
     in
-  if !verbose_msg_servers then lprintf_nl () "Received: %s" (Bencode.print v);
+  if !verbose_msg_servers then lprintf_nl "Received: %s" (Bencode.print v);
   t.tracker_interval <- 600;
   match v with
     Dictionary list ->
@@ -525,9 +515,9 @@
           match (key, value) with
             String "interval", Int n ->
               t.tracker_interval <- Int64.to_int n;
-              if !verbose_msg_servers then lprintf_nl () ".. interval %d .." t.tracker_interval
+              if !verbose_msg_servers then lprintf_nl ".. interval %d .." t.tracker_interval
           | String "failure reason", String failure ->
-                lprintf_nl () "Failure from Tracker in file: %s Reason: %s" file.file_name failure
+                lprintf_nl "Failure from Tracker in file: %s Reason: %s" file.file_name failure
           (*TODO: merge with f from get_sources_from_tracker and parse the rest of the answer, too.
             also connect to the sources we receive or instruct tracker to send none, perhaps based
             on an config option. firewalled people could activate the option and then seed torrents, too.*)
@@ -536,7 +526,7 @@
   | _ -> assert false
 
 let try_share_file torrent_diskname =
-  if !verbose_share then lprintf_nl () "try_share_file: %s" torrent_diskname;
+  if !verbose_share then lprintf_nl "try_share_file: %s" torrent_diskname;
   let s = File.to_string torrent_diskname in
   let file_id, torrent = BTTorrent.decode_torrent s in
 
@@ -553,7 +543,7 @@
               let filename =
                 Filename.concat sh.shdir_dirname torrent.torrent_name
               in
-              if !verbose_share then lprintf_nl () "Checking for %s" filename;
+              if !verbose_share then lprintf_nl "Checking for %s" filename;
               if Sys.file_exists filename then filename else
                 iter tail
             else
@@ -565,13 +555,13 @@
     let file = new_file file_id torrent torrent_diskname
         filename FileShared in
     BTShare.must_share_file file;
-    if !verbose_share then lprintf_nl () "Sharing file %s" filename;
+    if !verbose_share then lprintf_nl "Sharing file %s" filename;
     BTClients.connect_trackers file "started"
       (parse_tracker_reply file)
   with
   | Not_found ->
       (* if the torrent is still there while the file is gone, remove the torrent *)
-      if !verbose_share then lprintf_nl () "Removing torrent for %s" s;
+      if !verbose_share then lprintf_nl "Removing torrent for %s" s;
       let new_torrent_diskname =
         Filename.concat old_directory
           (Filename.basename torrent_diskname)
@@ -579,21 +569,21 @@
       (try
           Unix2.rename torrent_diskname new_torrent_diskname;
         with _ ->
-          (lprintf_nl () "Failed to rename %s to %s"
+          (lprintf_nl "Failed to rename %s to %s"
               torrent_diskname new_torrent_diskname));
 (*
       (try Sys.remove torrent_diskname with e ->
           if !verbose_share then
-            lprintf_nl () "Error: %s while removing torrent %s" (Printexc2.to_string e) s)
+            lprintf_nl "Error: %s while removing torrent %s" (Printexc2.to_string e) s)
 *)
   | e ->
-      lprintf_nl () "Cannot share torrent %s for %s"
+      lprintf_nl "Cannot share torrent %s for %s"
         torrent_diskname (Printexc2.to_string e)
 
 (* Call one minute after start, and then every 20 minutes. Should
   automatically contact the tracker. *)
 let share_files _ =
-  if !verbose_share then lprintf_nl () "share_files";
+  if !verbose_share then lprintf_nl "share_files";
   List.iter (fun dir ->
       let filenames = Unix2.list_directory dir in
       List.iter (fun file ->
@@ -604,11 +594,11 @@
   let shared_files_copy = !current_files in
  (* if the torrent is gone while the file is still shared, remove the share *)
   List.iter (fun file ->
-      (* if !verbose_share then lprintf_nl () "Checking torrent share for %s" file.file_torrent_diskname; *)
+      (* if !verbose_share then lprintf_nl "Checking torrent share for %s" file.file_torrent_diskname; *)
       if not (Sys.file_exists file.file_torrent_diskname) &&
         file_state file = FileShared then
         begin
-          if !verbose_share then lprintf_nl () "Removing torrent share for %s" file.file_torrent_diskname;
+          if !verbose_share then lprintf_nl "Removing torrent share for %s" file.file_torrent_diskname;
           BTClients.file_stop file;
           remove_file file;
           BTClients.disconnect_clients file;
@@ -624,18 +614,18 @@
     try
       load_torrent_file file;
       (try Sys.remove file with _ -> ())
-    with e -> lprintf_nl () "Error %s in scan_new_torrents_directory" (Printexc2.to_string e)
+    with e -> lprintf_nl "Error %s in scan_new_torrents_directory" (Printexc2.to_string e)
   ) filenames
 
 let retry_all_ft () =
   Hashtbl.iter (fun _ ft ->
       try ft.ft_retry ft with e ->
-          lprintf_nl () "ft_retry: exception %s" (Printexc2.to_string e)
+          lprintf_nl "ft_retry: exception %s" (Printexc2.to_string e)
   ) ft_by_num
 
 let file_magic_check () =
   if !Autoconf.magic_works then begin
-    if !verbose then lprintf_nl () "computing sub_file magic values";
+    if !verbose then lprintf_nl "computing sub_file magic values";
     let check_magic file = 
       match Magic.M.magic_fileinfo file false with
         None -> None
@@ -661,14 +651,14 @@
 
 let load_torrent_from_web r ft =
   if !verbose then
-      lprintf_nl () "Loading torrent from web";
+      lprintf_nl "Loading torrent from web";
   let module H = Http_client in
 
   if !verbose then
-      lprintf_nl () "calling...";
+      lprintf_nl "calling...";
   H.wget r (fun filename ->
       if !verbose then
-          lprintf_nl () "done...";
+          lprintf_nl "done...";
       if ft_state ft = FileDownloading then begin
           load_torrent_file filename;
           file_cancel (as_ft ft)
@@ -676,7 +666,7 @@
 
 let valid_torrent_extension url =
   let ext = String.lowercase (Filename2.last_extension url) in
-  if !verbose then lprintf_nl () "Last extension: %s" ext;
+  if !verbose then lprintf_nl "Last extension: %s" ext;
   if ext = ".torrent" || ext = ".tor" then true else false
 
 let get_regexp_string text r =
@@ -689,7 +679,7 @@
   let location_regexp = "Location: \\(.*\\)" in
   try
     let real_url = get_regexp_string url (Str.regexp location_regexp) in
-    if !verbose then lprintf_nl () "Loading %s, really %s" url real_url;
+    if !verbose then lprintf_nl "Loading %s, really %s" url real_url;
     if (valid_torrent_extension real_url)
        || (String2.contains url "Content-Type: application/x-bittorrent")
       then (
@@ -724,7 +714,7 @@
         let ft = new_ft file_diskname in
         ft.ft_retry <- load_torrent_from_web r ;
         load_torrent_from_web r ft;
-        if !verbose then lprintf_nl () "wget started";
+        if !verbose then lprintf_nl "wget started";
         "started download", true
       )
     else
@@ -733,23 +723,23 @@
     | Not_found ->
       if (valid_torrent_extension url) then
         try
-          if !verbose then lprintf_nl () "Not_found and trying to load %s" url;
+          if !verbose then lprintf_nl "Not_found and trying to load %s" url;
           try
             load_torrent_file url;
             "", true
           with Already_exists -> "A torrent with this name is already in the download queue", false
         with e ->
-          lprintf_nl () "Exception %s while 2nd loading" (Printexc2.to_string e);
+          lprintf_nl "Exception %s while 2nd loading" (Printexc2.to_string e);
 	  let s = Printf.sprintf "Can not load load torrent file: %s"
 	    (Printexc2.to_string e) in
           s, false
       else
         begin
-          if !verbose then lprintf_nl () "Not_found and url has non valid torrent extension: %s" url;
+          if !verbose then lprintf_nl "Not_found and url has non valid torrent extension: %s" url;
           "Not_found and url has non valid torrent extension", false
         end
     | e ->
-       lprintf_nl () "Exception %s while loading" (Printexc2.to_string e);
+       lprintf_nl "Exception %s while loading" (Printexc2.to_string e);
        let s = Printf.sprintf "Can not load load torrent file: %s"
 	 (Printexc2.to_string e) in
        s, false
@@ -851,7 +841,7 @@
 
 let compute_torrent filename announce comment = 
   let announce = if announce = "" then get_default_tracker () else announce in
-  if !verbose then lprintf_nl () "compute_torrent: [%s] [%s] [%s]"
+  if !verbose then lprintf_nl "compute_torrent: [%s] [%s] [%s]"
    filename announce comment;
   let basename = Filename.basename filename in
   let torrent = Filename.concat seeded_directory
@@ -1002,7 +992,7 @@
           Hashtbl.iter (fun _ file ->
               if file_num file = num then begin
                   if !verbose then
-                    lprintf_nl () "adding trackers for file %i" num;
+                    lprintf_nl "adding trackers for file %i" num;
                   set_trackers file !urls;
                   raise Exit
                 end
@@ -1025,7 +1015,7 @@
             _s ""
         | _ ->
             if !verbose then
-              lprintf_nl () "Not enough or wrong parameters.";
+              lprintf_nl "Not enough or wrong parameters.";
             let buf = o.conn_buf in
             if o.conn_output = HTML then
               html_mods_table_one_row buf "serversTable" "servers" [
@@ -1051,7 +1041,7 @@
   match get_int16 s 0 with
     0 ->
       let text = String.sub s 2 (String.length s - 2) in
-      if !verbose then lprintf_nl () "received torrent from gui...";
+      if !verbose then lprintf_nl "received torrent from gui...";
       ignore (load_torrent_string text)
   | 1 -> (* 34+ *)
       let n = get_int s 2 in
@@ -1109,7 +1099,7 @@
   CommonNetwork.register_commands commands;
 
   shared_ops.op_shared_unshare <- (fun file ->
-      (if !verbose_share then lprintf_nl () "unshare file");
+      (if !verbose_share then lprintf_nl "unshare file");
       BTShare.unshare_file file);
   shared_ops.op_shared_info <- (fun file ->
    let module T = GuiTypes in
Index: src/networks/bittorrent/bTMain.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/bittorrent/bTMain.ml,v
retrieving revision 1.20
diff -u -u -w -r1.20 bTMain.ml
--- src/networks/bittorrent/bTMain.ml	12 May 2006 21:08:30 -0000	1.20
+++ src/networks/bittorrent/bTMain.ml	19 May 2006 21:58:27 -0000
@@ -32,6 +32,11 @@
 open BTTypes
 open CommonTypes
 
+let log_prefix = "[bTM]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
 let is_enabled = ref false
 
 let disable enabler () =
@@ -70,8 +75,8 @@
     if !!BTTracker.tracker_port = !!client_port then
       begin
         lprint_newline();
-	lprintf_nl () "BT-client_port and BT-tracker_port can not be the same.";
-	lprintf_nl () "Change one of the settings and restart MLDonkey, exiting...\n";
+  lprintf_nl "BT-client_port and BT-tracker_port can not be the same.";
+  lprintf_nl "Change one of the settings and restart MLDonkey, exiting...\n";
 	Pervasives.exit 69
       end;
     if !!BTTracker.tracker_port > 0 then (
Index: src/networks/bittorrent/bTTracker.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/bittorrent/bTTracker.ml,v
retrieving revision 1.22
diff -u -u -w -r1.22 bTTracker.ml
--- src/networks/bittorrent/bTTracker.ml	1 Jan 2006 19:36:03 -0000	1.22
+++ src/networks/bittorrent/bTTracker.ml	19 May 2006 21:58:27 -0000
@@ -59,9 +59,10 @@
   *)
 
 (* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[bTTrack] "
-    (log_time ()); lprintf_nl2
+let log_prefix = "[bTTrack]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
 
 open Http_server
 
@@ -127,7 +128,7 @@
   try
     Int64.of_string v
   with e ->
-      lprintf_nl () "Exception %s in int64_of_string [%s]"
+      lprintf_nl "Exception %s in int64_of_string [%s]"
         (Printexc2.to_string e) v;
       raise e
 
@@ -135,7 +136,7 @@
   try
     int_of_string v
   with e ->
-      lprintf_nl () "Exception %s in int_of_string [%s]"
+      lprintf_nl "Exception %s in int_of_string [%s]"
         (Printexc2.to_string e) v;
       raise e
 
@@ -150,16 +151,16 @@
 
   let tracker_ok = ref true in
   if !verbose_msg_servers then
-    lprintf_nl () "tracker contacted for [%s]" (Sha1.to_hexa info_hash);
+    lprintf_nl "tracker contacted for [%s]" (Sha1.to_hexa info_hash);
   let tracker = try
       Hashtbl.find tracked_files info_hash
     with Not_found ->
         if !!tracker_force_local_torrents then begin
             tracker_ok := false;
-            lprintf_nl () "Tracker rejected announce request for torrent [%s]\n" (Sha1.to_hexa info_hash);
+            lprintf_nl "Tracker rejected announce request for torrent [%s]\n" (Sha1.to_hexa info_hash);
             failwith "Unknown torrent"
           end;
-        lprintf_nl () "[BT] Need new tracker";
+        lprintf_nl "[BT] Need new tracker";
         if !ntracked_files < !!max_tracked_files && !tracker_ok then
           let tracker = {
               tracker_id = info_hash;
@@ -206,7 +207,7 @@
         else
           tracker.tracker_complete <- tracker.tracker_complete + 1;
         if !verbose_msg_servers then
-          lprintf_nl () "Tracker adding new peer [%s]" (Sha1.to_string peer_id);
+          lprintf_nl "Tracker adding new peer [%s]" (Sha1.to_string peer_id);
         Hashtbl.add tracker.tracker_table peer_id peer;
         Fifo.put tracker.tracker_peers peer;
         peer
@@ -233,7 +234,7 @@
         if tracker.tracker_message_time < last_time () then
 
           let list = ref [] in
-          lprintf_nl () "Tracker collecting peers:";
+          lprintf_nl "Tracker collecting peers:";
           (try
               let max_peer_replies =
                 if numwant > 0 then
@@ -244,14 +245,14 @@
               for i = 1 to max_peer_replies do
                 let peer = Fifo.take tracker.tracker_peers in
                 if !verbose_msg_servers then
-                  lprintf_nl () "   %s:%d" (Ip.to_string peer.peer_ip)peer.peer_port;
+                  lprintf_nl "   %s:%d" (Ip.to_string peer.peer_ip)peer.peer_port;
                 list := peer :: !list
               done
             with _ -> ());
 
-          lprintf_nl () "Tracker sending %d peers" (List.length !list);
+          lprintf_nl "Tracker sending %d peers" (List.length !list);
           List.iter (fun p ->
-              lprintf_nl () "Tracker send: %s:%d"
+              lprintf_nl "Tracker send: %s:%d"
                 (Ip.to_string p.peer_ip) p.peer_port;
               Fifo.put tracker.tracker_peers p
           ) !list;
@@ -338,7 +339,7 @@
             | "natmapped" -> natmapped := int_of_string arg
             | "localip" -> localip := (Ip.of_string arg)
             | _ -> if !verbose_msg_servers then
-                     lprintf_nl () "[BT] Tracker: Unexpected [%s=%s]" name arg
+                     lprintf_nl "[BT] Tracker: Unexpected [%s=%s]" name arg
         ) args;
 
         if !ip = Ip.null && !localip = Ip.null then
@@ -348,15 +349,15 @@
           (* use localip if available *)
           ip := !localip;
         if !verbose_msg_servers then begin
-            lprintf_nl () "Connection received by tracker from client %s:%d with key [%s]:"
+            lprintf_nl "Connection received by tracker from client %s:%d with key [%s]:"
               (Ip.to_string !ip) !port !key;
-            lprintf_nl () "    info_hash: %s" (Sha1.to_hexa !info_hash);
-            lprintf_nl () "    peer_id: %s" (Sha1.to_hexa !peer_id);
-            lprintf_nl () "    event: %s" !event;
-            lprintf_nl () "    numwant: %d" !numwant;
-            lprintf_nl () "    compact: %d" (Int64.to_int !compact);
-            lprintf_nl () "    downloaded: %d" (Int64.to_int !downloaded);
-            lprintf_nl () "    uploaded: %d" (Int64.to_int !uploaded)
+            lprintf_nl "    info_hash: %s" (Sha1.to_hexa !info_hash);
+            lprintf_nl "    peer_id: %s" (Sha1.to_hexa !peer_id);
+            lprintf_nl "    event: %s" !event;
+            lprintf_nl "    numwant: %d" !numwant;
+            lprintf_nl "    compact: %d" (Int64.to_int !compact);
+            lprintf_nl "    downloaded: %d" (Int64.to_int !downloaded);
+            lprintf_nl "    uploaded: %d" (Int64.to_int !uploaded)
           end;
         (* Check hash then send reply *)
         (try
@@ -401,9 +402,9 @@
         ) tracked_files;
 
         if !verbose_msg_servers then begin
-            lprintf_nl () "Scrape request received by tracker";
-            lprintf_nl () "Sending scrape list:";
-            lprintf_nl () "f: (file hash) d: (downloaded) c: (complete) i: (incomplete)";
+            lprintf_nl "Scrape request received by tracker";
+            lprintf_nl "Sending scrape list:";
+            lprintf_nl "f: (file hash) d: (downloaded) c: (complete) i: (incomplete)";
             lprint_string !log_tracked_files;
           end;
         let message = Dictionary [ String "files", List !files_tracked ] in
@@ -412,13 +413,13 @@
 
     | "favicon.ico" ->
         if !verbose_msg_servers then
-            lprintf_nl () "favicon.ico request received by tracker";
+            lprintf_nl "favicon.ico request received by tracker";
             add_reply_header r "Content-Type" "image/x-icon";
             r.reply_content <- File.to_string "favicon.ico"
 
     | filename ->
         if !verbose_msg_servers then
-          lprintf_nl () "Tracker received a request for .torrent: [%s]" filename;
+          lprintf_nl "Tracker received a request for .torrent: [%s]" filename;
         if (Filename2.last_extension filename <> ".torrent") then
           failwith "Incorrect filename 1";
         for i = 1 to String.length filename - 1 do
@@ -451,7 +452,7 @@
 
   with e ->
       if !verbose_msg_servers then
-        lprintf_nl () "for request [%s] exception %s"
+        lprintf_nl "for request [%s] exception %s"
           (Url.to_string r.get_url) (Printexc2.to_string e);
       match e with
         Not_found ->
@@ -590,7 +591,7 @@
   let time_threshold = last_time () - 3600 in
   let trackers = ref [] in
 
-  if !verbose_msg_servers then lprintf_nl () "clean_tracker_timer";
+  if !verbose_msg_servers then lprintf_nl "clean_tracker_timer";
   Hashtbl.iter (fun _ tracker ->
       let list = ref [] in
       let old_peers = ref [] in
